#include <bits/stdc++.h>
using namespace std;

long int ucln(long int a, long int b)
{
    while (a!=b)
    {if (a>b)
        {
            a=a-b;
        }
        else b=b-a;
    }
    return a;
}
long long bcnn(long long a,long long b)
{
    return (a*b)/ucln(a,b);
}
int main()
{
   ifstream f1("UCBC.INP");
   ofstream f2("UCBC.OUT");
      long long n,i,uc,bc;
   f1>>n;
   long int a[100];
for (i=1;i<=n;i++)
   {
       f1>>a[i];
   }
   uc=ucln(a[1],a[2]);
   bc=bcnn(a[1],a[2]);
   for (i=3;i<=n;i++)
   {
       uc=ucln(uc,a[i]);
       bc=bcnn(bc,a[i]);
   }
   f2<<uc<<endl<<bc;
   return 0;
}
